/// Convert keyboard layout En<->Ru  AkelPad
//
//   En<->Ru (        )
//    ,    
//     Bred2i (http://softodrom.ru 4726) -    2003-2008.
//   ,       ,   /..  (  )  ?..
// .    (.)  (.).    En->Ru, RU->En  
// ""  KeybLayoutEngRus.js (Ctrl+[)  KeybLayoutRusEng.js (Ctrl+]) -      
//     Alt+[
// ..

//Options
//Variables
var hMainWnd=AkelPad.GetMainWnd();
var nSelStart;
var nSelEnd;
var pSelText;
var pResult;

if (hMainWnd)
{
  nSelStart=AkelPad.GetSelStart();
  nSelEnd=AkelPad.GetSelEnd();
  if (nSelStart == nSelEnd)
    AkelPad.SetSel(0, -1);

  pSelText=AkelPad.GetSelText();
  pResult=ConvertLayout(pSelText);
  AkelPad.ReplaceSel(pResult);

  if (nSelStart == nSelEnd)
    AkelPad.SetSel(0, -1);
  else
    AkelPad.SetSel(nSelStart, nSelStart + pResult.length);
}


//Functions
function ConvertLayout(pText, pArraySource, pArrayTarget)
{
  var p,s,ps,pt;
  var i,j;

s="";

//ps="";//  " "
//pt="";//" "

ps= "~!@#$%^&QWERTYUIOP{}ASDFGHJKL:\"|ZXCVBNM<>?`qwertyuiop[]asdfghjkl;\'zxcvbnm,./\"?/޸";
pt= "!\";%:?/,.~@#&QWERTYUIOP{}ASDFGHJKL:\"|ZXCVBNM<>`qwertyuiop[]asdfghjkl;\'zxcvbnm,.sS]}\"";




for (j=0; j < pText.length; ++j)
{
p=pText.substr(j,1);
i=0;

while (i < ps.length) 
{
if (p==ps.substr(i,1)) {p=pt.substr(i,1);
i=ps.length;
};
i=i+1;

}
//pText[j]=p;
//s=s+"-"+p+"-";
s=s+p;

}
  return s;//pText;
}


